Page MenuHomePhabricator

[Driver][test] Fix test by creating empty archive instead of empty file
ClosedPublic

Authored by lamb-j on Nov 2 2022, 11:14 AM.

Diff Detail

Event Timeline

lamb-j created this revision.Nov 2 2022, 11:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 2 2022, 11:14 AM
lamb-j requested review of this revision.Nov 2 2022, 11:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 2 2022, 11:14 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
yaxunl accepted this revision.Nov 2 2022, 12:58 PM

LGTM. Thanks.

This revision is now accepted and ready to land.Nov 2 2022, 12:58 PM
This revision was landed with ongoing or failed builds.Dec 5 2022, 3:43 PM
This revision was automatically updated to reflect the committed changes.
thakis added a subscriber: thakis.Dec 5 2022, 5:12 PM

This breaks check-clang: http://45.33.8.238/linux/93300/step_7.txt

Please take a look and revert for now if it takes a while to fix.

thakis added a comment.Dec 6 2022, 5:59 AM

This breaks check-clang: http://45.33.8.238/linux/93300/step_7.txt

Please take a look and revert for now if it takes a while to fix.

This ended up being a local config thing that I fixed in af95441ba7f3ca61c925409e58ee7e5486d84033

thakis added a comment.Dec 6 2022, 7:22 AM

…but even after that, things are still broken on macOS: http://45.33.8.238/macm1/50243/step_7.txt

ar: no archive members specified
usage:  ar -d [-TLsv] archive file ...
	ar -m [-TLsv] archive file ...
	ar -m [-abiTLsv] position archive file ...
	ar -p [-TLsv] archive [file ...]
	ar -q [-cTLsv] archive file ...
	ar -r [-cuTLsv] archive file ...
	ar -r [-abciuTLsv] position archive file ...
	ar -t [-TLsv] archive [file ...]
	ar -x [-ouTLsv] archive [file ...]
yaxunl added inline comments.Dec 6 2022, 7:53 AM
clang/test/Driver/hip-link-bc-to-bc.hip
22

probably we should use llvm-ar instead of ar

@thakis thanks for reverting that, sorry I didn't see your request sooner!

I've switched the patch to use "llvm-ar" instead of "ar", which should solve the issues

lamb-j marked an inline comment as done.Dec 7 2022, 11:54 AM